## julia 0.3.12

=== debian/changelog ===
julia (0.3.12-2b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:57:17 +0000

julia (0.3.12-2b1) staging; urgency=high

  * No-change rebuild against libcsparse3.1.4

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:57:16 +0000

julia (0.3.12-2) unstable; urgency=medium

  [ Peter Colberg ]
  * Fix automated package testing with autopkgtest.
  * Test REPL in dumb mode.
  * Build depend on libopenlibm-dev (>= 0.4.1+dfsg-4~) to fix FTBFS on i386.
  * Fix arch-all-only build with dpkg-buildpackage -A.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders.

 -- Graham Inggs <ginggs@debian.org>  Wed, 25 Nov 2015 10:46:18 +0200

julia (0.3.12-1) unstable; urgency=medium

  [ Peter Colberg ]
  * Imported Upstream version 0.3.12
  * Add julia-common package with standard library and test suite.
  * Remove embedded libraries:
    + Build depend on libdsfmt-dev.
    + Build depend on libutf8proc-dev.
  * Generate version_git.jl from upstream commit.
  * Build documentation using python3-sphinx.
  * Fix potential privacy breach in documentation:
    + Use libjs-modernizr package inplace of external link.
    + Strip external link to Google Fonts API.
  * Query SSE2 extension on i386 using x86 CPUID opcode.
  * Do not query ldconfig for library sonames.
  * Generate package dependencies for dynamically loaded libraries.
  * Symlink dynamically loaded libraries to private library path.
  * Add missing examples test for Base.runtests().
  * Fix hanging socket test for Base.runtests().
  * Enable parallel test.

  [ Graham Inggs ]
  * Build in the multiarch lib directories as well,
    so that patchelf is no longer required. (Closes: #799099)
  * Build everywhere. (Closes: #802583)
    + Use libopenlibm where available, libm elsewhere.
    + Use libopenblas where available, libblas and liblapack elsewhere.
    + Cherry-pick patches from upstream 0.4.0 for armhf and ppc64el.

 -- Graham Inggs <ginggs@debian.org>  Fri, 13 Nov 2015 15:56:34 +0200
