=== debian/control ===
Source: julia
Priority: extra
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec,
               dpkg-dev (>= 1.16.2~),
               libarpack2-dev,
               libdouble-conversion-dev,
               libdsfmt-dev (>= 2.2.3),
               libfftw3-dev,
               libgmp-dev,
               libjs-mathjax,
               libmpfr-dev,
               libopenblas-dev (>= 0.2.10-1~) [amd64 arm64 armhf i386 powerpc ppc64el],
               libopenlibm-dev (>= 0.4.1+dfsg-4~) [any-i386 any-amd64],
               libopenspecfun-dev (>= 0.4~),
               libpcre3-dev,
               libsuitesparse-dev (>= 1:4.2.1),
               libunwind8-dev,
               libutf8proc-dev (>= 1.3),
               llvm-3.5-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 3.9.6
Section: science
Homepage: http://julialang.org
Vcs-Git: git://anonscm.debian.org/pkg-julia/julia.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/julia.git

Package: julia
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: julia-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: git
Suggests: ess (>= 12.09-1~), julia-doc
Description: high-performance programming language for technical computing
 Julia is a high-level, high-performance dynamic programming language for
 technical computing, with syntax that is familiar to users of other technical
 computing environments. It provides a sophisticated compiler, distributed
 parallel execution, numerical accuracy, and an extensive mathematical function
 library. The library, mostly written in Julia itself, also integrates mature,
 best-of-breed C and Fortran libraries for linear algebra, random number
 generation, FFTs, and string processing. Julia programs are organized around
 defining functions, and overloading them for different combinations of
 argument types (which can also be user-defined).
 .
 This package provides a complete Julia installation (JIT compiler, standard
 library, text-based user interface).

Package: julia-common
Architecture: all
Depends: ${misc:Depends}
Replaces: julia (<< 0.3.12-1~)
Breaks: julia (<< 0.3.12-1~)
Recommends: julia
Description: high-performance programming language for technical computing (common files)
 Julia is a high-level, high-performance dynamic programming language for
 technical computing, with syntax that is familiar to users of other technical
 computing environments. It provides a sophisticated compiler, distributed
 parallel execution, numerical accuracy, and an extensive mathematical function
 library. The library, mostly written in Julia itself, also integrates mature,
 best-of-breed C and Fortran libraries for linear algebra, random number
 generation, FFTs, and string processing. Julia programs are organized around
 defining functions, and overloading them for different combinations of
 argument types (which can also be user-defined).
 .
 This package contains the Julia standard library and test suite.

Package: julia-doc
Architecture: all
Section: doc
Depends: fonts-font-awesome,
         libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: julia
Description: high-performance programming language for technical computing (documentation)
 Julia is a high-level, high-performance dynamic programming language for
 technical computing, with syntax that is familiar to users of other technical
 computing environments. It provides a sophisticated compiler, distributed
 parallel execution, numerical accuracy, and an extensive mathematical function
 library. The library, mostly written in Julia itself, also integrates mature,
 best-of-breed C and Fortran libraries for linear algebra, random number
 generation, FFTs, and string processing. Julia programs are organized around
 defining functions, and overloading them for different combinations of
 argument types (which can also be user-defined).
 .
 This package contains the Julia manual, which describes the language and its
 standard library. It also contains example Julia programs.

Package: julia-dbg
Section: debug
Architecture: any
Depends: julia (= ${binary:Version}), ${misc:Depends}
Description: high-performance programming language for technical computing (debug symbols)
 Julia is a high-level, high-performance dynamic programming language for
 technical computing, with syntax that is familiar to users of other technical
 computing environments. It provides a sophisticated compiler, distributed
 parallel execution, numerical accuracy, and an extensive mathematical function
 library. The library, mostly written in Julia itself, also integrates mature,
 best-of-breed C and Fortran libraries for linear algebra, random number
 generation, FFTs, and string processing. Julia programs are organized around
 defining functions, and overloading them for different combinations of
 argument types (which can also be user-defined).
 .
 This package contains the detached debugging symbols.
