=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

LLVM_VER=3.5

COMMON_FLAGS = USE_SYSTEM_LIBUNWIND=1 USE_SYSTEM_PCRE=1 USE_SYSTEM_BLAS=1	\
	USE_SYSTEM_LAPACK=1 USE_BLAS64=0 USE_SYSTEM_FFTW=1 USE_SYSTEM_GMP=1	\
	USE_SYSTEM_ARPACK=1 USE_SYSTEM_MPFR=1 USE_SYSTEM_SUITESPARSE=1		\
	USE_SYSTEM_GRISU=1 USE_SYSTEM_OPENSPECFUN=1 USE_SYSTEM_PATCHELF=1	\
	USE_SYSTEM_DSFMT=1 USE_SYSTEM_UTF8PROC=1				\
	USE_LLVM_SHLIB=1 USE_SYSTEM_LLVM=1 LLVM_VER=$(LLVM_VER)			\
	LLVM_CONFIG=/usr/bin/llvm-config-$(LLVM_VER) VERBOSE=1			\
	NO_GIT=1 MULTIARCH_INSTALL=1 MULTIARCH=$(DEB_HOST_MULTIARCH)		\
	sysconfdir=/etc prefix=/usr DESTDIR=debian/tmp/

# Use libopenlibm on architectures that have it
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 kfreebsd-amd64 x32))
COMMON_FLAGS += MARCH=x86-64 USE_SYSTEM_OPENLIBM=1
else ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386))
COMMON_FLAGS += MARCH=pentium4 USE_SYSTEM_OPENLIBM=1
else
# Use libm elsewhere
COMMON_FLAGS += USE_SYSTEM_LIBM=1
endif

# Only run the tests on amd64 and i386 for now
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
export DEB_BUILD_OPTIONS += nocheck
endif

# Use libopenblas on architectures that have it
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386 powerpc ppc64el))
COMMON_FLAGS += LIBBLAS=-lopenblas LIBBLASNAME=libopenblas \
                LIBLAPACK=-lopenblas LIBLAPACKNAME=libopenblas
else
# Use libblas and liblapack elsewhere
COMMON_FLAGS += LIBBLAS=-lblas LIBBLASNAME=libblas \
                LIBLAPACK=-llapack LIBLAPACKNAME=liblapack
endif

%:
	dh $@ --parallel --with=sphinxdoc

override_dh_auto_build:
	dh_auto_build -- $(COMMON_FLAGS)
	# Link mathjax in _static
	mkdir -p doc/_static/
	ln -s /usr/share/javascript/mathjax doc/_static/
	make -C doc html SPHINX_BUILD=/usr/share/sphinx/scripts/python3/sphinx-build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C test $(COMMON_FLAGS)
endif

override_dh_auto_clean:
	make $(COMMON_FLAGS) distcleanall
	rm -rf doc/_static/
	find doc/juliadoc -name '*.pyc' -delete # Special rule for embedded juliadoc
	rm -f debian/shlibdeps debian/julia.links

override_dh_auto_install:
	make $(COMMON_FLAGS) install
	rm -rf usr # Otherwise dh_install does not see debian/tmp/usr

override_dh_strip-arch:
	dh_strip --dbg-package=julia-dbg

override_dh_link-arch:
	# Create *.so symlinks for dlopen'd libraries in private libdir.
	make -f debian/shlibdeps.mk $(COMMON_FLAGS) debian/julia.links
	dh_link

override_dh_shlibdeps:
	# Generate dependencies for dlopen'd libraries using dummy executable.
	# Suppress useless dependency warnings caused by unused library symbols.
	make -f debian/shlibdeps.mk $(COMMON_FLAGS) debian/shlibdeps
	dh_shlibdeps -- --warnings=1 debian/shlibdeps

override_dh_install-indep:
	dh_install --exclude=build_h.jl --exclude=build.h

override_dh_installdocs:
	# Remove awesome font (dh_link will create symlinks)
	rm -f doc/_build/html/_static/fonts/fontawesome-webfont.*
	# Do not copy mathjax to the binary package
	dh_installdocs -X_static/mathjax

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_sphinxdoc:
	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
	# MathJax.js
	dh_sphinxdoc -XMathJax.js

get-orig-source:
	rm -rf julia-$(DEB_VERSION_UPSTREAM)
	git clone https://github.com/JuliaLang/julia.git julia-$(DEB_VERSION_UPSTREAM)
	# Checkout right commit and submodules, and remove unneeded embedded copies.
	# Also manually add an embedded copy of juliadoc python package (see also dh_auto_clean rule).
	cd julia-$(DEB_VERSION_UPSTREAM) && \
		git checkout v`echo $(DEB_VERSION_UPSTREAM) | sed 's/\+dfsg\d*//' | sed 's/~/-/'` && \
		make -C base version_git.jl.phony && \
		git submodule init && \
		git submodule deinit deps/openlibm && \
		git submodule deinit deps/openspecfun && \
		git submodule update && \
		git clone https://github.com/JuliaLang/JuliaDoc doc/juliadoc && \
		(cd doc/juliadoc && git checkout 85c83a5c4ecd1716e0aa858d73322cc2058bc7b1)
	# Pack reproducible orig tarball
	find julia-$(DEB_VERSION_UPSTREAM) -name '.git*' -prune -or -type f -print0 | LC_ALL=C sort -z | \
		tar -caf julia_$(DEB_VERSION_UPSTREAM).orig.tar.xz \
		--format=ustar --null --files-from=- \
		--owner=root --group=root --mode='a=rX,u+w' \
		--mtime=@`cd julia-$(DEB_VERSION_UPSTREAM) && git log -n1 --format=%ct`
	rm -rf julia-$(DEB_VERSION_UPSTREAM)
