=== debian/tests/control ===
Test-Command: julia --check-bounds=yes -f -e "Base.runtests([\"all\"], CPU_CORES)"
Restrictions: allow-stderr
